Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class InvalidPolicies

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--org.omg.CORBA.InvalidPolicies

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, IDLEntity, java.io.Serializable

public final class InvalidPolicies
extends UserException

Exception definition : InvalidPolicies

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`short[]` | `indices` Exception member indices

Constructor Summary
`InvalidPolicies()` Default constructor
`InvalidPolicies(short[] indices)` Constructor with fields initialization
`InvalidPolicies(java.lang.String orb_reason, short[] indices)` Full constructor with fields initialization

Methods inherited from class org.omg.CORBA.UserException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### indices

    public short[] indices

  Exception member indices

Constructor Detail

### InvalidPolicies

    public InvalidPolicies()

  Default constructor

### InvalidPolicies

    public InvalidPolicies(short[] indices)

  Constructor with fields initialization
  Parameters:
    `indices` - indices exception member

### InvalidPolicies

    public InvalidPolicies(java.lang.String orb_reason,
                           short[] indices)

  Full constructor with fields initialization
  Parameters:
    `indices` - indices exception member

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD